import { css } from 'docz-plugin-css'
import fs from "fs";

export default {
  typescript: false,
  base: '/ensemble/',
  dest: '/docs',

  htmlContext: {
    head: {
      raw: `<style type="text/css">${fs.readFileSync(process.cwd() + "/src/ensemble.css")}</style>`
    }
  },

  plugins: [
    css({ preprocessor: 'postcss' })
  ]
};